| Irrlicht 3D Engine |

Public Member Functions
irr::gui::IGUIMeshViewer Class Reference

3d mesh viewing GUI element. More...

`#include <IGUIMeshViewer.h>`

Inheritance diagram for irr::gui::IGUIMeshViewer:

List of all members.

## Public Member Functions

- IGUIMeshViewer (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
    constructor
- virtual const video::SMaterial & getMaterial () const =0
    Gets the material.
- virtual scene::IAnimatedMesh * getMesh () const =0
    Gets the displayed mesh.
- virtual void setMaterial (const video::SMaterial &material)=0
    Sets the material.
- virtual void setMesh (scene::IAnimatedMesh *mesh)=0
    Sets the mesh to be shown.

## Detailed Description

3d mesh viewing GUI element.

Definition at line 27 of file IGUIMeshViewer.h.

## Constructor & Destructor Documentation

irr::gui::IGUIMeshViewer::IGUIMeshViewer | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle
| ) |  | `[inline]`

constructor

Definition at line 32 of file IGUIMeshViewer.h.

## Member Function Documentation

virtual const video::SMaterial& irr::gui::IGUIMeshViewer::getMaterial | ( |  | ) | const`[pure virtual]`

Gets the material.

virtual scene::IAnimatedMesh* irr::gui::IGUIMeshViewer::getMesh | ( |  | ) | const`[pure virtual]`

Gets the displayed mesh.

virtual void irr::gui::IGUIMeshViewer::setMaterial | ( | const video::SMaterial & | material | ) | `[pure virtual]`

Sets the material.

virtual void irr::gui::IGUIMeshViewer::setMesh | ( | scene::IAnimatedMesh * | mesh | ) | `[pure virtual]`

Sets the mesh to be shown.

The documentation for this class was generated from the following file:

- IGUIMeshViewer.h